Loading...
Searching...
No Matches
FileDataProvider::FileDataProvider Class Reference

The main data provider class, provides API classes as children. More...

`#include <FileDataProvider.qc.dox.h>`

Inheritance diagram for FileDataProvider::FileDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from FileDataProvider::FileDataProviderBase
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (*string root, *bool lock, *bool readonly)
| Creates the object from the arguments.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from FileDataProvider::FileDataProviderBase
const | ConstructorOptions = ...
| Constructor options.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.
Protected Member Functions inherited from FileDataProvider::FileDataProviderBase
| checkPath (string path)
| Check the given path when "lock" and "root" are set.
| checkReadOnly (string op)
| Checks if the readonly flag is set.

## Additional Inherited Members

Protected Attributes inherited from FileDataProvider::FileDataProviderBase
bool | lock
| Lock down access to the root?
bool | readonly
| Read only flag.
*string | root
| Any anchoring dir for filesystem actions.

## Detailed Description

The main data provider class, provides API classes as children.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider FileDataProvider::FileDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

Exceptions

  CHILD-PROVIDER-ERROR | error acquiring child provider

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > FileDataProvider::FileDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any